=== debian/changelog ===
telepathy-qt (0.9.3-3ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining change:
    - debian/control, debian/patches/use-telepathy-farstream-0.4:
      Use 'telepathy-farstream-0.4' instead of 'telepathy-farstream'.
      This package is (as of now) incompatible with the 0.6 series,
      so it needs to be updated to use the split 0.4 series packages.
  * Dropped following changes:
    - debian/patches/create-moc-command, fixed in Debian.

 -- Artur Rona <ari-tczew@tlen.pl>  Wed, 05 Feb 2014 17:53:56 +0100

telepathy-qt (0.9.3-3) unstable; urgency=low

  * Remove version requirement from pkg-config dependency (Closes: #734489)
  * Update Standards-Version to 3.9.5. No Changes needed.
  * Update debian/libtelepathy-qt4-2.symbols for 0.9.3 symbols.
  * Explicitly use pkg-kde-tools for its symbol helper utilities.
  * Explicitly force build type RelWithDebInfo

 -- Diane Trout <diane@ghic.org>  Mon, 20 Jan 2014 14:47:29 -0800

telepathy-qt (0.9.3-2) unstable; urgency=low

  * Add fix_storing_avatars.patch. Fixes issue storing avatars
    multiple times.
  * Remove python compiled byte-code during debian auto_clean target.
  * Add create_moc_command.patch to work around a change in a recent
    cmake macro. (Closes: #728675)

 -- Diane Trout <diane@ghic.org>  Wed, 27 Nov 2013 08:49:05 -0800

telepathy-qt (0.9.3-1) unstable; urgency=low

  * Team upload.

  [ Diane Trout ]
  * New upstream release.
  * Bump libfarstream-0.1-dev, libtelepathy-farstream-dev,
         libtelepathy-glib-dev dependencies.
  * Remove fix_ftbfs_gcc47.patch applied upstream.
  * Update libtelepathy-qt4-2.symbols.
  * Remove git-buildpackage directory configuration options.
  * Remove uneeded shlib:Depends from libtelepathy-qt4-dev control .
  * Refresh patches.
  * Add patch link-against-gobject.patch to provide g_object symbols
    used by libtelepathy-qt4-farstream.
  * Add myself to Uploaders.
  * Update Vcs-* fields to canonical URIs.
  * Update Standards-Version: 3.9.4. No changes needed.
  * Add Multi-Arch: same to libtelepathy-qt4-dbg.

  [ Michał Zając ]
  * Drop fvisibility-inlines-hidden.patch - went upstream
  * Change the Maintainer, ACKed by Simon McVittie:
    - Change the Maintainers field to the KDE extras team.
    - Update the Uploaders.
  * Update symbols file
  * Updated Vcs-* fields

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove upstream stuff from the repo. We are going to keep only debian/ on
    it.
  * Update symbols file with current amd64 build.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 05 Jul 2013 17:48:44 -0300

telepathy-qt (0.9.3-0ubuntu7) trusty; urgency=medium

  * debian/patches/create-moc-command: Fix build with recent cmake.

 -- William Grant <wgrant@ubuntu.com>  Tue, 31 Dec 2013 10:30:51 +1100

telepathy-qt (0.9.3-0ubuntu6) saucy; urgency=low

  * Update debian/libtelepathy-qt4-2.symbols with Debian's saner copy.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 30 Sep 2013 13:43:23 -0600

telepathy-qt (0.9.3-0ubuntu5) saucy; urgency=low

  * Update symbols 

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 23 Sep 2013 17:38:27 +0200

telepathy-qt (0.9.3-0ubuntu4) raring; urgency=low

  * Update symbols file for armhf 

 -- Iain Lane <iain.lane@canonical.com>  Thu, 10 Jan 2013 11:14:16 +0000

telepathy-qt (0.9.3-0ubuntu3) raring; urgency=low

  * debian/patches/use-telepathy-farstream-0.4: Use 'telepathy-farstream-0.4'
    instead of 'telepathy-farstream'. This package is (as of now) incompatible
    with the 0.6 series, so it needs to be updated to use the split 0.4 series
    packages.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 09 Jan 2013 12:54:01 +0000

telepathy-qt (0.9.3-0ubuntu2) quantal; urgency=low

  * Update symbols file for amd64, armhf, armel, and powerpc.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 31 Aug 2012 16:33:26 -0600

telepathy-qt (0.9.3-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Remove fix_ftbfs_gcc47.patch now upstream
  * Remove fvisibility-inlines-hidden.patch now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Aug 2012 14:16:43 +0100
